Переопределение значений переменных в Coppermine Photo Gallery

Дата публикации:
18.02.2009
Дата изменения:
18.02.2009
Всего просмотров:
3096
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Coppermine Photo Gallery 1.x
Уязвимые версии: Coppermine Photo Gallery 1.4.19, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки во время фильтрации переменных в сценарии include/init.inc.php. Удаленный пользователь может посредством сценария picEditor.php загрузить и выполнить произвольный PHP код на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: coppermine-gallery.net

Решение: Установите последнюю версию 1.4.20 с сайта производителя.

Ссылки: http://milw0rm.com/exploits/7909

или введите имя

CAPTCHA